Get Session
curl --request GET \
--url https://api.recallrai.com/api/v1/users/{custom_user_id}/sessions/{session_id} \
--header 'X-Recallr-Api-Key: <x-recallr-api-key>' \
--header 'X-Recallr-Project-Id: <x-recallr-project-id>'import requests
url = "https://api.recallrai.com/api/v1/users/{custom_user_id}/sessions/{session_id}"
headers = {
"X-Recallr-Project-Id": "<x-recallr-project-id>",
"X-Recallr-Api-Key": "<x-recallr-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Recallr-Project-Id': '<x-recallr-project-id>',
'X-Recallr-Api-Key': '<x-recallr-api-key>'
}
};
fetch('https://api.recallrai.com/api/v1/users/{custom_user_id}/sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session": {
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"metadata": {},
"session_summary": "<string>",
"memories": [
{
"memory_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Sessions
Get Session
Retrieve a specific session by ID.
Get detailed information about a conversation session including its status, creation time, and custom metadata.
Path Parameters:
custom_user_id(str): Unique identifier for the usersession_id(UUID): Session UUID to retrieve
Query Parameters:
include_summary(bool): Whether to include session summary in the response. Default: falseinclude_memories(bool): Whether to include memories created in this session. Default: false
Returns:
session(SessionInfo): Session details with ID, status, creation timestamp, metadata, and optionally summary and memories
GET
/
api
/
v1
/
users
/
{custom_user_id}
/
sessions
/
{session_id}
Get Session
Response
Session retrieved successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I

